## org.apache.axis.deployment.wsdd
Class WSDDTargetedChain

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDConstants
            |
            +--org.apache.axis.deployment.wsdd.WSDDElement
                  |
                  +--org.apache.axis.deployment.wsdd.WSDDDeployableItem
                        |
                        +--org.apache.axis.deployment.wsdd.WSDDTargetedChain

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  WSDDService, WSDDTransport

public abstract class WSDDTargetedChain
extends WSDDDeployableItem

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDDeployableItem
`log, parameters, qname, scope, SCOPE_PER_ACCESS, SCOPE_PER_REQUEST, SCOPE_SINGLETON, scopeStrings, singletonInstance, type`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants

`ATTR_ATTACHMENT_FORMAT, ATTR_CLASS, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_INHEADER, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MODE, ATTR_NAME, ATTR_OUTHEADER, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETHEADER, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_USE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULT, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_BSF, PROVIDER_COM, PROVIDER_CORBA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RMI, PROVIDER_RPC, QNAME_BEANMAPPING, QNAME_BSF_PROVIDER, QNAME_CHAIN, QNAME_COM_PROVIDER, QNAME_CORBA_PROVIDER, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULT, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_RMI_PROVIDER, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Constructor Summary
`protected` `WSDDTargetedChain()`
`protected` `WSDDTargetedChain(org.w3c.dom.Element e)`

Method Summary
`void` `deployToRegistry(WSDDDeployment registry)`
`WSDDFaultFlow` `getFaultFlow(QName name)`
`WSDDFaultFlow[]` `getFaultFlows()`
`QName` `getPivotQName()`
`WSDDRequestFlow` `getRequestFlow()`
`WSDDResponseFlow` `getResponseFlow()`
`Handler` `makeNewInstance(EngineConfiguration registry)` Creates a new instance of this deployable.
`void` `setPivotQName(QName pivotQName)`
`void` `setRequestFlow(WSDDRequestFlow flow)`
`void` `setResponseFlow(WSDDResponseFlow flow)`
`void` `setType(java.lang.String type)`
`void` `writeFlowsToContext(SerializationContext context)` Write this element out to a SerializationContext

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDDeployableItem
`getInstance, getJavaClass, getParameter, getParametersTable, getQName, getType, removeParameter, setName, setOptionsHashtable, setParameter, setQName, setType, writeParamsToContext`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements, getDocumentation, getElementName, writeToContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDTargetedChain

    protected WSDDTargetedChain()

### WSDDTargetedChain

    protected WSDDTargetedChain(org.w3c.dom.Element e)
                         throws WSDDException

Parameters:
  `e` - (Element) XXX
Throws:
  `WSDDException` - XXX

Method Detail

### getRequestFlow

    public WSDDRequestFlow getRequestFlow()

### setRequestFlow

    public void setRequestFlow(WSDDRequestFlow flow)

### getResponseFlow

    public WSDDResponseFlow getResponseFlow()

### setResponseFlow

    public void setResponseFlow(WSDDResponseFlow flow)

### getFaultFlows

    public WSDDFaultFlow[] getFaultFlows()

  Returns:
    XXX

### getFaultFlow

    public WSDDFaultFlow getFaultFlow(QName name)

  Parameters:
    `name` - XXX
  Returns:
    XXX

### setType

    public void setType(java.lang.String type)
                 throws WSDDException

  Parameters:
    `type` - XXX
    `WSDDException`

### getPivotQName

    public QName getPivotQName()

### setPivotQName

    public void setPivotQName(QName pivotQName)

### makeNewInstance

    public Handler makeNewInstance(EngineConfiguration registry)
                            throws ConfigurationException

  Description copied from class: `WSDDDeployableItem`
  Creates a new instance of this deployable. if the java class is not found, the registry is queried to find a suitable item

  Overrides:
    `makeNewInstance` in class `WSDDDeployableItem`
  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### writeFlowsToContext

    public final void writeFlowsToContext(SerializationContext context)
                                   throws java.io.IOException

  Write this element out to a SerializationContext

    `java.io.IOException`

### deployToRegistry

    public void deployToRegistry(WSDDDeployment registry)

Copyright © 2003 Apache Web Services Project. All Rights Reserved.